Bug 731543 - [RFE] Allow a minimum of Provider Account Credentials for Ec2
Summary: [RFE] Allow a minimum of Provider Account Credentials for Ec2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
Assignee: Angus Thomas
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 20:28 UTC by William Henry
Modified: 2014-05-01 10:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-01 10:12:55 UTC


Attachments (Terms of Use)

Description William Henry 2011-08-17 20:28:04 UTC
Description of problem:

Providing that such an EC2 API exists to provide this fucntionality consider the following use case:

A new user wishes to take CloudForms out for a test run. They have set up an AWS account especially for this testing/POC effort. 

When they get to the Provider Account page to set up their EC2 account they realize that they have the account/access ID and secret key information. As inconvenient as it was to get that information they understand it's for privacy and security reasons. But now they see that they must also provide a private key and certificate pair. 

As the user doesn't have any pk/cert generated for this account (it is just for use for testing cloudforms) they would like an option for CF to have EC2 generate these keys for them and store them in CF. For convenience.

Of course if they are using AWS Identity and Access Management (IAM) then perhaps CF could generate the pk/cert pair locally and upload and store them. (?)  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 wes hayutin 2011-08-18 13:51:46 UTC
will forward RFE to list

Comment 2 wes hayutin 2011-09-28 16:38:05 UTC
making sure all the bugs are at the right version for future queries

Comment 4 wes hayutin 2012-01-12 16:52:11 UTC
adding to sprint tracker

Comment 5 Angus Thomas 2012-01-12 17:20:36 UTC
This would require that the necessary cert generation calls were added to the Deltacloud API.

It isn't going to be implemented in the scope of CF 1.0

Comment 6 wes hayutin 2012-02-22 23:46:18 UTC
moving version to 1.0.0 .  version = found in version

Comment 9 Angus Thomas 2014-05-01 10:12:55 UTC
There are no plans for updates to Cloud Engine


Note You need to log in before you can comment on or make changes to this bug.